cls
@ECHO OFF
CLS
color 0a

GOTO MENU
:MENU
ECHO. 
ECHO.               =-=-=-=-=请选择要安装的服务项目=-=-=-=-=
ECHO. 
ECHO.                       1  本机网络服务-桥接,直接连接外网
ECHO.
ECHO.                       2  USB服务
ECHO.  
ECHO.                       3  DHCP和NAT服务-共享上网,默认安装虚拟网卡8
ECHO. 
ECHO.                       4  虚拟网卡1-本地网络
ECHO.                       
ECHO.                       5  用户权限服务
ECHO.
ECHO.                       6  退   出
ECHO.
ECHO.
ECHO.
:CHOICE
echo.
set /p choice=  请输入安装项目的序号，并回车确认：
IF NOT "%choice%"=="" SET choice=%choice:~0,1%
if /i "%choice%"=="1" goto SERVICE1
if /i "%choice%"=="2" goto SERVICE2
if /i "%choice%"=="3" goto SERVICE3
if /i "%choice%"=="4" goto SERVICE4
if /i "%choice%"=="5" goto SERVICE5
if /i "%choice%"=="6" goto END
echo.
echo.
echo   序号输入无效，请重新输入
echo.
echo.
GOTO CHOICE
PAUSE
:SERVICE1
echo.
echo  安装桥接服务，请稍后...
echo.
reg query HKLM\SYSTEM\CurrentControlSet\Services\vmnetuserif >nul 2>nul||(vnetlib.exe -- install userif)
vnetlib.exe -- start userif >nul 2>nul
rundll32 setupapi,InstallHinfSection _Install1.NT 128 %cd%\netadapter.inf >nul
vnetlib.exe -- install bridge
vnetlib.exe -- start bridge
echo.
echo  安装桥接服务完成
echo.
GOTO MENU
:SERVICE2
echo.
echo  安装USB服务...
echo.
vnetlib.exe -- install hcmon
vnetlib.exe -- start hcmon
rundll32 setupapi,InstallHinfSection _Install1.NT 128 %cd%\vmusb.inf >nul
vnetlib.exe -- install usb
sc create VMUSBArbService binpath= "%cd%\vmware-usbarbitrator.exe"  displayname= "VMware USB Arbitration Service" start= auto
net start VMUSBArbService
echo.
echo  安装USB服务完成
echo.
GOTO MENU
:SERVICE3
echo.
echo  安装DHCP和NAT服务，时间较长，请耐心等待...
echo.
reg query HKLM\SYSTEM\CurrentControlSet\Services\vmnetuserif >nul 2>nul||(vnetlib.exe -- install userif)
reg query HKLM\SYSTEM\CurrentControlSet\Services\vmnetdhcp >nul 2>nul||(vnetlib.exe -- install dhcp)
vnetlib.exe -- install nat
vnetlib.exe -- add adapter vmnet8
vnetlib.exe -- add dhcp vmnet8
vnetlib.exe -- add nat vmnet8
vnetlib.exe -- set vnet vmnet8 addr 192.168.128.0
vnetlib.exe -- stop nat
vnetlib.exe -- stop dhcp
vnetlib.exe -- update dhcp vmnet8
vnetlib.exe -- start dhcp
vnetlib.exe -- update nat vmnet8
vnetlib.exe -- start nat
vnetlib.exe -- update adapter vmnet8
echo.
echo  安装DHCP和NAT服务完成
echo.
GOTO MENU
:SERVICE4
echo.
echo  安装虚拟网卡1，时间较长，请耐心等待...
echo.
reg query HKLM\SYSTEM\CurrentControlSet\Services\vmnetuserif >nul 2>nul||(vnetlib.exe -- install userif)
reg query HKLM\SYSTEM\CurrentControlSet\Services\vmnetdhcp >nul 2>nul||(vnetlib.exe -- install dhcp)
vnetlib.exe -- add adapter vmnet1
vnetlib.exe -- add dhcp vmnet1
vnetlib.exe -- set vnet vmnet1 addr 10.10.10.0
vnetlib.exe -- stop dhcp
vnetlib.exe -- update dhcp vmnet1
vnetlib.exe -- start dhcp
vnetlib.exe -- update adapter vmnet1
echo.
echo  安装虚拟网卡1完成
echo.
GOTO MENU
:SERVICE5
echo.
echo  安装用户权限服务...
echo.
vnetlib.exe -- install authd
vnetlib.exe -- start authd
echo.
echo  安装用户权限服务完成
echo.
GOTO MENU
:END
